Subject: bug#48141: 28.0.50; Files left over by native compiler

From: Gregory Heytings <[email-masked]>
Date: Mon, 03 May 2021 12:11:25 +0000

>> Given that requirement (atomicity) and its implication (same 
>> partition), would it not be better to create these temporary files in a 
>> 'tmp' subdirectory of their target directory (e.g. 'lisp/tmp' for el 
>> files in 'lisp' and 'lisp/calc/tmp' for el files in 'lisp/calc') 
>> instead of using random filenames in the target directory itself?
>
> Since they will be in the tree anyway, why does it matter in what 
> subdirectory they will be deposited?
>

IMO it's easier to manage, both in .gitignore and to clean the temporary 
files.  But it's just a suggestion (inspired by the way maildirs work).